AMS(4)

NAME
ams - ADB Mouse Driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device adb

DESCRIPTION
The ams driver provides support for mice and trackpads attached to the Apple Desktop Bus (ADB) implementing both the base and extended ADB mouse protocols.

HARDWARE
Devices supported by the ams driver include:

•   Apple Mouse
•   ADB Extended Mouse
•   MacAlly 2-Button Mouse
•   Apple iBook Trackpad
•   Apple PowerBook Trackpad

SYSCTL VARIABLES

dev.ams.%d.tapping
    On ADB trackpads, setting this sysctl to 1 causes taps on the trackpad to be interpreted as button clicks.

SEE ALSO
Apple Tech Note HW01: ADB - The Untold Story: Space Aliens Ate My Mouse: http://developer.apple.com/legacy/mac/library/technotes/hw/hw_01.html

adb(4), cuda(4), pmu(4)

HISTORY
The ams device driver appeared in FreeBSD 8.0.

AUTHORS
-nosplit The ams driver was written by Nathan Whitehorn <nwhitehorn@FreeBSD.org>.